Verify a code
curl --request POST \
--url https://api.rigaly.com/api/v1/code-batches/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "SUMMER-595Y-003-GGC-98R"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: 'SUMMER-595Y-003-GGC-98R'})
};
fetch('https://api.rigaly.com/api/v1/code-batches/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.rigaly.com/api/v1/code-batches/verify"
payload = { "code": "SUMMER-595Y-003-GGC-98R" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rigaly.com/api/v1/code-batches/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => 'SUMMER-595Y-003-GGC-98R'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"message": "<string>",
"data": {
"valid": true,
"serial": 123,
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claimed": true,
"claimed_at": "2023-11-07T05:31:56Z"
}
}Code batches
Verify a code
Support tool — checks a code’s validity and claim status without claiming it. Only resolves codes from your own batches.
POST
/
api
/
v1
/
code-batches
/
verify
Verify a code
Authorizations
API key from the Rigaly dashboard: Authorization: Bearer rgly_sk_...
Body
application/json
Example:
"SUMMER-595Y-003-GGC-98R"
⌘I